<?php
/**
 * Dynamic Surveys Deactivator Class
 *
 * @package Dynamic Surveys
 * @since 1.0.2
 */

if (!defined('ABSPATH')) {
    exit;
}

class Dynamic_Surveys_Deactivator {
    /**
     * Plugin deactivation tasks
     *
     * @since 1.0.2
     * @return void
     */
    public static function deactivate() {
        // Clear plugin options
        delete_option('dynamic_surveys_activated');
        
        // Clear rewrite rules
        flush_rewrite_rules();
        
        // If we need to clear scheduled hooks, include the required file
        if (!function_exists('wp_clear_scheduled_hook')) {
            require_once(ABSPATH . 'wp-admin/includes/plugin.php');
        }
        
        // Clear any scheduled hooks
        wp_clear_scheduled_hook('dynamic_surveys_daily_cleanup');
        
        // Cleanup transients
        delete_transient('dynamic_surveys_cache');
        
        // Log deactivation time
        update_option('dynamic_surveys_deactivated', current_time('mysql'));
    }
}